Zuplo Developer API

List of endpoints available to perform operations on Tunnels.


Lists tunnels

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels

Lists all tunnels belonging to this account.

Lists tunnels › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Lists tunnels › Responses

The request has succeeded.

​Zuplo.Tunnels.TunnelListItem[] · required
limit
​integer · uint32
offset
​integer · uint32
total
​integer · uint32

Creates a tunnel

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels

Creates a new tunnel for this account.

Creates a tunnel › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

Creates a tunnel › Request Body

Tunnels allow you to expose services running on bare metal, on-premises, or other non-cloud providers to the Zuplo platform. [Further reading](https://zuplo.com/docs/articles/secure-tunnel).
tunnelId
​string · readOnly · required
name
​string · pattern: ^[a-zA-Z0-9-]{3,24}$ · required

A friendly name for the tunnel.

Example: api-service-tunnel
token
​string · readOnly · required

Set your TUNNEL_TOKEN to this value to connect to the tunnel.

Example: eyJhIjoiODJh[..]m89In0=

Creates a tunnel › Responses

The request has succeeded and a new resource has been created as a result.

Tunnels allow you to expose services running on bare metal, on-premises, or other non-cloud providers to the Zuplo platform. [Further reading](https://zuplo.com/docs/articles/secure-tunnel).
tunnelId
​string · readOnly · required
name
​string · pattern: ^[a-zA-Z0-9-]{3,24}$ · required

A friendly name for the tunnel.

Example: api-service-tunnel
token
​string · readOnly · required

Set your TUNNEL_TOKEN to this value to connect to the tunnel.

Example: eyJhIjoiODJh[..]m89In0=

Gets a tunnel

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}

Returns the details for a tunnel, including the token used to connect to the tunnel.

Gets a tunnel › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

Gets a tunnel › Responses

The request has succeeded.

Tunnels allow you to expose services running on bare metal, on-premises, or other non-cloud providers to the Zuplo platform. [Further reading](https://zuplo.com/docs/articles/secure-tunnel).
tunnelId
​string · readOnly · required
name
​string · pattern: ^[a-zA-Z0-9-]{3,24}$ · required

A friendly name for the tunnel.

Example: api-service-tunnel
token
​string · readOnly · required

Set your TUNNEL_TOKEN to this value to connect to the tunnel.

Example: eyJhIjoiODJh[..]m89In0=

Deletes a tunnel

DELETE
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}

Deletes a tunnel and any services that it has.

Deletes a tunnel › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

Deletes a tunnel › Responses

The request has succeeded.

id
​string · readOnly · required
status
​string · enum · required
Enum values:
in-progress
success
error
Example: success
message
​string
details
​string

Rotates the token

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}/$rotate-token

Rotates the token used to connect to the tunnel.

Rotates the token › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

Rotates the token › Responses

The request has succeeded.

Tunnels allow you to expose services running on bare metal, on-premises, or other non-cloud providers to the Zuplo platform. [Further reading](https://zuplo.com/docs/articles/secure-tunnel).
tunnelId
​string · readOnly · required
name
​string · pattern: ^[a-zA-Z0-9-]{3,24}$ · required

A friendly name for the tunnel.

Example: api-service-tunnel
token
​string · readOnly · required

Set your TUNNEL_TOKEN to this value to connect to the tunnel.

Example: eyJhIjoiODJh[..]m89In0=

Gets a teardown status

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/tunnels/{tunnelId}/teardown-operations/{operationId}

This endpoint returns the status of the deletion of the tunnel. Tearing down the tunnel is an asynchronous process so this endpoint allows you to poll the status.

Gets a teardown status › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

tunnelId
​string · required

The ID of the tunnel.

operationId
​string · required

The ID of the deletion operation.

Gets a teardown status › Responses

The request has succeeded.

id
​string · readOnly · required
status
​string · enum · required
Enum values:
in-progress
success
error
Example: success
message
​string
details
​string